Bug 908326 - AS 7 web connector discovery ends with wrong resource type
AS 7 web connector discovery ends with wrong resource type
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.6
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 07:48 EST by Thomas Segismont
Modified: 2013-09-03 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:43:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-02-06 07:48:39 EST
Description of problem:
New AS7 instance discovery ends with wrong resource type for web connectors

Version-Release number of selected component (if applicable):
Last master build (4.6-SNAPSHOT)

How reproducible:
Always

Steps to Reproduce:
1. Start a new AS 7 instance
2. Import the server in discovery queue
3. Find your http connector resource ID (as7 instance > web > http in resources tree)
4. Execute this SQL query:
select t.name from rhq_resource_type t, rhq_resource r where r.resource_type_id = t.id and r.id = #http-connector-resourceid#;
  
Actual results:
"General JCA connectors"

Expected results:
"Connector"

Additional info:
This may also affect other services
Comment 1 Jay Shaughnessy 2013-02-13 13:35:46 EST
master commit 20381597861b30716daecd4db9ad6ce88de98a78

 Fix a bug in the ResourceType pojo to ResourceType entity conversion code.
 Criteria String matching is *fuzzy* (i.e. substring matching) by default. This
 needs to have the Criteria.setStrict(true) added to make it exact.
    
 In the end I got rid of the Criteria query in favor of an existing NamedQuery,
 for a possible perf boost as the query could be executed many times during a
 large inventory merge.
Comment 2 Jay Shaughnessy 2013-02-13 13:38:13 EST
Note that this was not an issue with AS7 plugin discovery, it was a server-side issue that could affect plugins with type A and type B, where type A's name was a substring of type B's name.

This problem was never in any release, it was only a regression in the 4.6 development phase.
Comment 3 Heiko W. Rupp 2013-09-03 10:43:45 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.